Bug 8674 - gnome terminal emulation program does not work properly
gnome terminal emulation program does not work properly
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: screen (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-20 15:00 EST by paolo sereni
Modified: 2014-03-16 22:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-24 00:08:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description paolo sereni 2000-01-20 15:00:33 EST
Hallo supporters,

I updated RH 6.0 -> 6.1
I have some problems in starting the gnome terminal emulation program.
When I'm logged on as root everything works fine.
When I'm logged on as normal user and I try to start the gnome
terminal emulation program, the terminal comes up together with the
following error:

There has been an error while trying to log in.

If you are using Linux 2.2.x with glibc 2.1.x, this is probably due to
incorrtley setup Unix98 ptys.

Please read linux/Documentation/Changes for how to set them up corrctly.

If I press OK, I get a terminal which does not echo any commnd (a terminal
which I can not use!)

Since I do not know where to find linux/Documentation/Changes, I have given
a look at your FAQ and I could find the Knowledge Base Detail Request 334
which seems to be related to my problem.
I installed therefore screen-3.9.4-3 but without any success.

Since I do not have any other possibility of starting a shell, I put
"severity high" to the bug.
I'm almost sure that's a kind of permission problem (it works perfectly
for root), but where?

Thank you very much and compliments for the product.
Comment 1 Bill Nottingham 2000-01-20 17:18:59 EST
What does your /etc/fstab say?
Comment 2 paolo sereni 2000-01-23 07:24:59 EST
[paolino@localhost paolino]$ cat /etc/fstab
#
# /etc/fstab
#
# You should be using fstool (control-panel) to edit this!
#
# <device>    <mountpoint>   <filesystemtype> <options> <dump> <fsckorder>

/dev/hdb2                 /                         ext2   defaults 1 1
/dev/hdb5                 /home                     ext2   defaults 1 2
/dev/cdrom              /mnt/cdrom              iso9660 owner,exec,dev,suid,ro,n
oauto 0 0
/dev/fd0        /mnt/floppy     ext2     user,exec,dev,suid,rw,noauto,gid=500,ow
ner 0 0
/dev/hdb8                 /usr                      ext2   defaults 1 2
/dev/hdb7                 /usr/local                ext2   defaults 1 2
/dev/hdb6                 /var                      ext2   defaults 1 2
/dev/hda1                 /winnt1                   msdos  defaults 0 0
/dev/hda5                 /winnt2                   msdos  defaults 0 0
/dev/hda6                 /winnt3                   msdos  defaults 0 0
/dev/hda2                 none                      ignore 0 0 0
/dev/hdb1                 none                      ignore 0 0 0
/dev/hdb3                 none                      ignore 0 0 0
/dev/hdd1                 none                      ignore 0 0 0
/dev/hdd2                 none                      ignore 0 0 0
/dev/hdd4                 none                      ignore 0 0 0

none                      /dev/pts                  proc
defaults
Comment 3 paolo sereni 2000-01-23 07:31:59 EST
I have some more Information:
when I'm logged as "root" everything works fine.

When I'm logged on as "normal" user I can only start a Konsole (this is the
only possibility of getting a Shell ...)

When I try to start another Konsole I get
[paolino@localhost paolino]$ konsole &
[1] 1461
[paolino@localhost paolino]$ konsole_grantpty not installed root-suid
konsole: chownpty failed for device /dev/ptyp3::/dev/ttyp3.
       : This means the session can be eavesdroped.
       : Make sure konsole_grantpty is installed in
       : /usr/bin and setuid root.

(and the Konsole comes up)

When I try to start an xterm, I get:
[paolino@localhost paolino]$ xterm &
[2] 1464
[paolino@localhost paolino]$ pt_chown: needs to be installed setuid `root'
xterm: Error 1, errno 13: Permission denied

The xterm comes up and disappers immediately

Somewhere there is a permissions mismatch ... but where?
Thanks a lot for your help
Comment 4 Bill Nottingham 2000-01-24 00:08:59 EST
Change the /dev/pts line to:

none	/dev/pts	devpts	gid=5,mode=0620	0 0

and remount it, and you should be fine.
Comment 5 paolo sereni 2000-01-24 16:35:59 EST
When I change the /dev/pts line in /et/fstab I can start the Gnome terminal
without error BUT I can not use my modem.

I get :

WvDial: Internet dialer version 1.40
Initializing modem.
Sending: ATZ
ATZ

OK
Sending: ATQ0 V1 E1 S0=0 &C1 &D2 S11=55 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 S11=55 +FCLASS=0

OK
Sending: ATM0
ATM0

OK
Modem initialized.
Sending: ATDT 1002019088333
Waiting for carrier.
ATDT 1002019088333

CONNECT 38667/LAPM/V42BIS
Carrier detected.  Waiting for prompt.
~}#@!}!}0} }8}"}&} }*} } }#}$@#}%}&}85m4}'}"}(}"%Y~PPP negotiation detected.
Starting pppd at Mon Jan 24 23:53:24 2000
PPP daemon has died! (exit code = 1)
Disconnecting at Mon Jan 24 23:53:24 2000
Auto Reconnect will be attempted in 5 seconds
pppd error!  Look for an explanation in /var/log/messages.
Initializing modem.
Sending: ATZ
ATZ

OK
Sending: ATQ0 V1 E1 S0=0 &C1 &D2 S11=55 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 S11=55 +FCLASS=0

OK
Sending: ATM0
ATM0

OK
e error:


My ppp daemon dyes always! So I remain with the old /etc/fstab and
hope in some other help.
Thanks a lot!
Paolo
Comment 6 paolo sereni 2000-01-28 13:21:59 EST
Hallo,
could ypu please help me?

Thanks a lot,
Paolo
Comment 7 Bill Nottingham 2000-01-31 00:06:59 EST
Upgrade to the latest errata initscripts and pppd ; this
should fix the problem.

Note You need to log in before you can comment on or make changes to this bug.